#!/usr/bin/env node

import { build } from './scripts/build'
import { serve } from './scripts/serve'
import { deploy } from './scripts/deploy'

const scripts: { [key: string]: () => void } = {
  build,
  serve,
  deploy,
}

const command = process.argv[2]

if (!command || !scripts[command]) {
  console.error('Error: Invalid or missing command')
  process.exit(1)
}

scripts[command]?.()
